MagickCore: Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Defines

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - g -

- GammaCommand : display.c
- GammaCorrectImageTag : enhance.c
- GammaImage() : enhance.h , enhance.c
- GammaImageChannel() : enhance.c , enhance.h
- GammaPreview : effect.h
- Gaussian() : resize.c
- GaussianBlurImage() : effect.c , effect.h
- GaussianBlurImageChannel() : effect.c , effect.h
- GaussianFilter : resize.h
- GaussianNoise : effect.h
- GaussJordanElimination() : matrix.h , matrix.c
- GaussJordanSwap : matrix.c
- GenerateNoise() : effect.c
- GeometryFlags : geometry.h
- GeometryInfo : geometry.h
- Get8BIMProperty() : property.c
- GetAbsoluteError() : compare.c
- GetAffineMatrix() : draw.c , draw.h
- GetBit : fx.c
- GetBlobError() : blob.c , blob.h
- GetBlobFileHandle() : blob.c , blob.h
- GetBlobInfo() : blob-private.h , blob.c
- GetBlobSize() : blob.c , blob.h
- GetBlobStreamData() : blob.c , blob.h
- GetBlobStreamHandler() : blob.c , blob.h
- GetBlurKernel() : effect.c
- GetCacheClass() : cache-private.h , cache.c
- GetCacheColorspace() : cache-private.h , cache.c
- GetCacheInfo() : cache-private.h , cache.c
- GetCacheMethods() : cache-private.h , cache.c
- GetCacheNexus() : cache.c , cache.h
- GetCacheThreadId() : cache.c
- GetCacheView() : deprecate.c , deprecate.h
- GetCacheViewColorspace() : cache-view.c , cache-view.h
- GetCacheViewException() : cache-view.c , cache-view.h
- GetCacheViewIndexes() : cache-view.c , cache-view.h
- GetCacheViewPixels() : cache-view.c , cache-view.h
- GetCacheViewStorageClass() : cache-view.c , cache-view.h
- GetCacheVirtualPixelMethod() : cache.c , cache.h
- GetClientName() : client.c , client.h
- GetClientPath() : client.c , client.h
- GetCoderInfo() : coder.c , coder.h
- GetCoderInfoList() : coder.c , coder.h
- GetCoderList() : coder.c , coder.h
- GetColorInfo() : color.c , color.h
- GetColorInfoList() : color.c , color.h
- GetColorList() : color.c , color.h
- GetColorTuple() : color.c , color.h
- GetConfigureBlob() : deprecate.c , deprecate.h
- GetConfigureInfo() : configure.c , configure.h
- GetConfigureInfoList() : configure.c , configure.h
- GetConfigureList() : configure.c , configure.h
- GetConfigureOptions() : configure.c , configure.h
- GetConfigurePaths() : configure.c , configure.h
- GetConfigureValue() : configure.c , configure.h
- GetCubeInfo() : color.c , quantize.c
- getcwd : nt-base.h
- GetDelegateCommand() : delegate.c , delegate.h
- GetDelegateCommands() : delegate.c , delegate.h
- GetDelegateInfo() : delegate.c , delegate.h
- GetDelegateInfoList() : delegate.c , delegate.h
- GetDelegateList() : delegate.c , delegate.h
- GetDelegateMode() : delegate.c , delegate.h
- GetDelegateThreadSupport() : delegate.c , delegate.h
- GetDrawInfo() : draw.c , draw.h
- GetElapsedTime() : timer.c , timer.h
- GetEnvironmentValue() : string.c , string_.h
- GetExceptionInfo() : exception.c , exception.h
- GetExceptionMessage() : exception.c , exception.h
- GetExecutionPath() : utility.c , utility.h
- GetEXIFProperty() : property.c
- GetFillColor() : draw-private.h
- GetFirstImageInList() : list.h , list.c
- GetFirstSplayTreeNode() : splay-tree.c
- GetGeometry() : geometry.c , geometry.h
- GetImageArtifact() : artifact.c , artifact.h
- GetImageAttribute() : deprecate.c , deprecate.h
- GetImageBoundingBox() : statistic.c , statistic.h
- GetImageChannelDepth() : statistic.c , statistic.h
- GetImageChannelDistortion() : compare.c , compare.h
- GetImageChannelExtrema() : statistic.c , statistic.h
- GetImageChannelMean() : statistic.c , statistic.h
- GetImageChannelRange() : statistic.c , statistic.h
- GetImageChannelStatistics() : statistic.c , statistic.h
- GetImageClipMask() : image.c , image.h
- GetImageClippingPathAttribute() : deprecate.c , deprecate.h
- GetImageDecoder() : magick.c , magick.h
- GetImageDepth() : statistic.c , statistic.h
- GetImageDistortion() : compare.c , compare.h
- GetImageDynamicThreshold() : segment.c , segment.h
- GetImageEncoder() : magick.c , magick.h
- GetImageException() : image.c , image.h
- GetImageExtrema() : statistic.c , statistic.h
- GetImageFromList() : list.c , list.h
- GetImageFromMagickRegistry() : deprecate.c , deprecate.h
- GetImageGeometry() : deprecate.c , deprecate.h
- GetImageHistogram() : color.c , color.h
- GetImageIndexInList() : list.c , list.h
- GetImageInfo() : image.c , image.h
- GetImageList() : deprecate.c , deprecate.h
- GetImageListIndex() : deprecate.c , deprecate.h
- GetImageListLength() : list.c , list.h
- GetImageListSize() : deprecate.c , deprecate.h
- GetImageMagick() : magick.c , magick.h
- GetImageMask() : image.c , image.h
- GetImageMean() : statistic.c , statistic.h
- GetImageOption() : option.c , option.h
- GetImagePixels() : cache.c , image.h
- GetImageProfile() : profile.c , profile.h
- GetImageProperty() : property.c , property.h
- GetImageQuantizeError() : quantize.c , quantize.h
- GetImageQuantumDepth() : statistic.c , statistic.h
- GetImageRange() : statistic.c , statistic.h
- GetImageRegistry() : registry.c , registry.h
- GetImageTotalInkDensity() : prepress.c , prepress.h
- GetImageType() : image.c , image.h
- GetImageVirtualPixelMethod() : image.c , image.h
- GetIndexes() : cache.c , image.h
- GetIndexesFromCache() : cache.c
- GetIndexesFromHandler : cache-private.h
- GetIndexesFromStream() : stream.c
- GetIPTCProperty() : property.c
- GetLastImageInList() : list.c , list.h
- GetLastValueInLinkedList() : hashmap.c , hashmap.h
- GetLocaleExceptionMessage() : exception.c , exception.h
- GetLocaleInfo_() : locale.c , locale_.h
- GetLocaleInfoList() : locale.c , locale_.h
- GetLocaleList() : locale.c , locale_.h
- GetLocaleMessage() : locale.c , locale_.h
- GetLocaleMonitorMessage() : xwindow.c
- GetLocaleOptions() : locale.c , locale_.h
- GetLocaleValue() : locale.c
- GetLogInfo() : log.c , log.h
- GetLogInfoList() : log.c , log.h
- GetLogList() : log.c , log.h
- GetLogName() : log.c , log.h
- GetLogThreadId() : log.c
- GetMagicInfo() : magic.c , magic.h
- GetMagicInfoList() : magic.c , magic.h
- GetMagickAdjoin() : magick.c , magick.h
- GetMagickBlobSupport() : magick.h , magick.c
- GetMagickCopyright() : version.c , version.h
- GetMagickDescription() : magick.c , magick.h
- GetMagickEndianSupport() : magick.c , magick.h
- GetMagickGeometry() : deprecate.c , deprecate.h
- GetMagickHomeURL() : version.c , version.h
- GetMagickInfo() : magick.c , magick.h
- GetMagickInfoList() : magick.c , magick.h
- GetMagickList() : magick.h , magick.c
- GetMagickModule : log.h
- GetMagickModulePath() : module.c
- GetMagickOptions() : option.c , option.h
- GetMagickPackageName() : version.c , version.h
- GetMagickPixelPacket() : pixel.h , pixel.c
- GetMagickProperty() : property.c
- GetMagickQuantumDepth() : version.c , version.h
- GetMagickQuantumRange() : version.c , version.h
- GetMagickRegistry() : deprecate.c , deprecate.h
- GetMagickReleaseDate() : version.c , version.h
- GetMagickResource() : resource.c , resource_.h
- GetMagickResourceLimit() : resource.c , resource_.h
- GetMagickSeekableStream() : magick.c , magick.h
- GetMagickThreadSupport() : magick.c , magick.h
- GetMagickToken() : token.c , token.h
- GetMagickVersion() : version.c , version.h
- GetMagicList() : magic.c , magic.h
- GetMagicName() : magic.c , magic.h
- GetMeanAbsoluteError() : compare.c
- GetMeanErrorPerPixel() : compare.c
- GetMeanSquaredError() : compare.c
- GetMedianList() : effect.c
- GetMimeDescription() : mime.c , mime.h
- GetMimeInfo() : mime.c , mime.h
- GetMimeInfoList() : mime.c , mime.h
- GetMimeList() : mime.c , mime.h
- GetMimeType() : mime.c , mime.h
- GetModuleInfo() : module.c , module.h
- GetModuleInfoList() : module.c , module.h
- GetModuleList() : module.c , module.h
- GetMonitorHandler() : deprecate.c , deprecate.h
- GetMontageGeometry() : montage.c
- GetMontageInfo() : montage.c , montage.h
- GetMotionBlurKernel() : effect.c
- GetMultilineTypeMetrics() : annotate.c , annotate.h
- GetNextImage() : deprecate.c , deprecate.h
- GetNextImageArtifact() : artifact.c , artifact.h
- GetNextImageAttribute() : deprecate.c , deprecate.h
- GetNextImageInList() : list.c , list.h
- GetNextImageOption() : option.c , option.h
- GetNextImageProfile() : profile.c , profile.h
- GetNextImageProperty() : property.c , property.h
- GetNextImageRegistry() : registry.c , registry.h
- GetNextKeyInHashmap() : hashmap.h , hashmap.c
- GetNextKeyInSplayTree() : splay-tree.c , splay-tree.h
- GetNextValueInHashmap() : hashmap.c , hashmap.h
- GetNextValueInLinkedList() : hashmap.h , hashmap.c
- GetNextValueInSplayTree() : splay-tree.c , splay-tree.h
- GetNextXMLTreeTag() : xml-tree.h , xml-tree.c
- GetNexus() : cache.c , cache-private.h
- GetNexusIndexes() : cache.c , cache-private.h
- GetNexusPixels() : cache-private.h , cache.c
- GetNodeInfo() : color.c , quantize.c
- GetNonpeakMedianList() : effect.c
- GetNumberColors() : color.h , color.c
- GetNumberOfElementsInLinkedList() : hashmap.c , hashmap.h
- GetNumberOfEntriesInHashmap() : hashmap.h , hashmap.c
- GetNumberOfNodesInSplayTree() : splay-tree.c , splay-tree.h
- GetNumberScenes() : deprecate.h , deprecate.c
- GetOneCacheViewPixel() : cache-view.c , cache-view.h
- GetOneCharacter() : annotate.c
- GetOnePixel() : cache.c , image.h
- GetOnePixelFromCache() : cache.c
- GetOnePixelFromHandler : cache-private.h
- GetOnePixelFromStream() : stream.c
- GetOptimalKernelWidth() : gem.c , gem.h
- GetOptimalKernelWidth1D() : gem.h , gem.c
- GetOptimalKernelWidth2D() : gem.c , gem.h
- GetOptionInfo() : option.c
- GetPageGeometry() : geometry.h , geometry.c
- GetPathComponent() : utility.c , utility.h
- GetPathComponents() : utility.c , utility.h
- GetPathTemplate() : resource.c
- GetPeakAbsoluteError() : compare.c
- GetPeakSignalToNoiseRatio() : compare.c
- getpid : nt-base.h
- GetPixelCache() : cache.c
- GetPixelCacheArea() : cache.h , cache.c
- GetPixelHandler : cache-private.h
- GetPixelOpacity() : draw.c
- GetPixels() : image.h , cache.c
- GetPixelsFromCache() : cache.c
- GetPixelsFromHandler : cache-private.h
- GetPixelsFromStream() : stream.c
- GetPixelStream() : stream.c
- GetPreviousImage() : deprecate.h , deprecate.c
- GetPreviousImageInList() : list.h , list.c
- GetQuantizeInfo() : quantize.c , quantize.h
- GetQuantumInfo() : quantum.h , quantum.c
- GetRandomKey() : random_.h , random.c
- GetRandomValue() : random_.h , random.c
- GetResizeFilterSupport() : resize-private.h , resize.c
- GetResizeFilterWeight() : resize.c , resize-private.h
- GetRootMeanSquaredError() : compare.c
- GetSignatureInfo() : signature.h , signature.c
- GetStopColorOffset() : draw.c
- GetStreamInfoClientData() : stream-private.h , stream.c
- GetStringInfoDatum() : string.c , string_.h
- GetStringInfoLength() : string.c , string_.h
- GetStringInfoPath() : string.c , string_.h
- GetStrokeColor() : draw-private.h
- GetThresholdMap() : threshold.c , threshold.h
- GetThresholdMapFile() : threshold.c
- GetTimerInfo() : timer.h , timer.c
- GetTypeInfo() : type.h , type.c
- GetTypeInfoByFamily() : type.c , type.h
- GetTypeInfoList() : type.c , type.h
- GetTypeList() : type.c , type.h
- GetTypeMetrics() : annotate.h , annotate.c
- GetUnadornedModuleName : log.h
- GetUnicodeCharacter() : annotate.c
- GetUserTime() : timer.c , timer.h
- GetValueFromHashmap() : hashmap.h , hashmap.c
- GetValueFromLinkedList() : hashmap.h , hashmap.c
- GetValueFromSplayTree() : splay-tree.h , splay-tree.c
- GetXMLTreeAttribute() : xml-tree.c , xml-tree.h
- GetXMLTreeAttributes() : xml-tree.c , xml-tree.h
- GetXMLTreeChild() : xml-tree.c , xml-tree.h
- GetXMLTreeContent() : xml-tree.c , xml-tree.h
- GetXMLTreeOrdered() : xml-tree.c , xml-tree.h
- GetXMLTreePath() : xml-tree.c , xml-tree.h
- GetXMLTreeProcessingInstructions() : xml-tree.h , xml-tree.c
- GetXMLTreeSibling() : xml-tree.h , xml-tree.c
- GetXMLTreeTag() : xml-tree.c , xml-tree.h
- GetXMPProperty() : property.c
- GhostlineCode : draw.c
- GhostscriptVectors : delegate.h
- GIFInterlace : image.h
- GlobExpression() : token.c , token.h
- GrabButtonText : widget.c
- GradientImage() : image.h , image.c
- GradientInfo : draw.h
- GradientReference : draw.h
- GradientType : draw.h
- GravityAdjustGeometry() : geometry.h , geometry.c
- GravityOptions : option.c
- GravityType : geometry.h
- GrayAlphaQuantum : quantum.h
- GrayChannel : magick-type.h
- GRAYColorspace : colorspace.h
- GrayQuantum : quantum.h
- GrayscaleCommand : display.c
- GrayscaleMatteType : image.h
- GrayscalePreview : effect.h
- GrayscaleType : image.h
- GrayVirtualPixelMethod : cache-view.h
- GreaterThanEqualOperator : fx.c
- GreaterValue : geometry.h
- Green : segment.c
- green_gamma : xwindow.c
- GreenChannel : magick-type.h
- GreenQuantum : quantum.h
- Group4Compression : compress.h
- gs_main_instance : delegate.h